Retrieve Password by Email API
On the login page, the user clicks Forgot Password and selects retrieve password by email. Enter the email, verification code, and new password, pass the image captcha verification, and then call this API. After the call succeeds, return to the login page and log in again.
Request Description
Request Headers
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| X-operating-sys-version | Caller operating system version | Yes | String | windows10.1.1 |
| X-device-fingerprint | Caller device fingerprint | Yes | String | 156aysdna213sc50 |
| X-device-ip | Caller IP | No | String | 192.168.1.2 |
| X-agent | User-Agent information | Yes | String | Mozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace |
| X-L | Used for internationalization language setting | No | String | zh |
| X-client-id | Application authorization ID | Yes | String | nTo1eRIub60vPb54WeE6aojPwYwImtl4 |
Request Example
json
{
"email": "asdas@bamboocloud.cn",
"verify_code": "123456",
"password": "P@sdsdfsdfds"
}Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| Yes | String | Email address to receive the verification code | ||
| verify_code | Email verification code | Yes | String | Received verification code To obtain the verification code, see Send Email Verification Code API type = CHANGE_PWD_EMS |
| password | Password | Yes | String | New password to set |
Response Example
Success Example
HTTP/1.1 200 OK
json
Error Example
HTTP/1.1 400 Bad Request
json
{
"error_code": "SDK.COMMON.1001",
"error_msg": "Parameter X-client-id cannot be left blank."
}Response Parameters
None